org.bdgenomics.adam.util

# IndexedFastaFile

###
Related Doc: package util

#### case class IndexedFastaFile(sc: SparkContext, filePath: String, stringency: ValidationStringency = ValidationStringency.STRICT) extends ReferenceFile with Logging with Product with Serializable

Loads and extracts sequences directly from indexed fasta or fa files. filePath requires fai index in the same directory with same naming convention.

filePath

  path to fasta or fa index

Linear Supertypes
Product, Equals, Logging, ReferenceFile, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. IndexedFastaFile
2. Product
3. Equals
4. Logging
5. ReferenceFile
6. Serializable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new IndexedFastaFile(sc: SparkContext, filePath: String, stringency: ValidationStringency = ValidationStringency.STRICT)

   filePath

     path to fasta or fa index

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

   Attributes
     protected
   Definition Classes
     Logging

7. #### def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit

   Attributes
     protected
   Definition Classes
     Logging

8. #### def debug(msg: ⇒ Any): Unit

   Attributes
     protected
   Definition Classes
     Logging

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

11. #### def error(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

12. #### def error(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

13. #### def extract(region: ReferenceRegion): String

    Extracts base sequence from FastaSequenceIndex

    Extracts base sequence from FastaSequenceIndex

    region

      The desired ReferenceRegion to extract.

    returns

      The reference sequence at the desired locus.

    Definition Classes
      IndexedFastaFile → ReferenceFile

14. #### val filePath: String

    path to fasta or fa index

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

18. #### def info(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

19. #### def info(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

20. #### def isDebugEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

21. #### def isErrorEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

22. #### def isInfoEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### def isTraceEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

25. #### def isWarnEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logger: Logger

    Attributes
      protected
    Definition Classes
      Logging

27. #### def loggerName: String

    Attributes
      protected
    Definition Classes
      Logging

28. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### val sc: SparkContext

32. #### val sequences: SequenceDictionary

    Definition Classes
      IndexedFastaFile → ReferenceFile

33. #### val stringency: ValidationStringency

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

36. #### def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

37. #### def trace(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

42. #### def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

43. #### def warn(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

### Inherited from Product

### Inherited from Equals

### Inherited from Logging

### Inherited from ReferenceFile

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped